Package pywbem :: Module cim_xml :: Class IMETHODCALL |
[frames] | no frames]

# Class IMETHODCALL

source code

        xml.dom.Node --+
                       |
    xml.dom.minidom.Node --+
                           |
     xml.dom.minidom.Element --+
                               |
                      CIMElement --+
                                   |
                                  IMETHODCALL

The IMETHODCALL element defines a single intrinsic method invocation. It specifies the target local namespace, followed by zero or more IPARAMVALUE subelements as the parameter values to be passed to the method. If the RESPONSEDESTINATION element is specified, the intrinsic method call MUST be interpreted as an asynchronous method call.

<!ELEMENT IMETHODCALL (LOCALNAMESPACEPATH, IPARAMVALUE*,
  RESPONSEDESTINATION?)>
<!ATTLIST IMETHODCALL
  %CIMName;>

Instance Methods
__init__(self, name, localnamespacepath, iparamvalues=`[``]`, responsedestination=None) | source code
Inherited from `CIMElement`: `appendChildren`, `appendOptionalChild`, `setName`, `setOptionalAttribute` Inherited from `xml.dom.minidom.Element`: `__repr__`, `getAttribute`, `getAttributeNS`, `getAttributeNode`, `getAttributeNodeNS`, `getElementsByTagName`, `getElementsByTagNameNS`, `hasAttribute`, `hasAttributeNS`, `hasAttributes`, `removeAttribute`, `removeAttributeNS`, `removeAttributeNode`, `removeAttributeNodeNS`, `setAttribute`, `setAttributeNS`, `setAttributeNode`, `setAttributeNodeNS`, `setIdAttribute`, `setIdAttributeNS`, `setIdAttributeNode`, `unlink`, `writexml` Inherited from `xml.dom.minidom.Node`: `__nonzero__`, `appendChild`, `cloneNode`, `getInterface`, `getUserData`, `hasChildNodes`, `insertBefore`, `isSameNode`, `isSupported`, `normalize`, `removeChild`, `replaceChild`, `setUserData`, `toprettyxml`, `toxml`

Class Variables
Inherited from `xml.dom.minidom.Element`: `nodeType`, `nodeValue`, `schemaType` Inherited from `xml.dom.minidom.Node`: `namespaceURI`, `nextSibling`, `ownerDocument`, `parentNode`, `prefix`, `previousSibling` Inherited from `xml.dom.Node`: `ATTRIBUTE_NODE`, `CDATA_SECTION_NODE`, `COMMENT_NODE`, `DOCUMENT_FRAGMENT_NODE`, `DOCUMENT_NODE`, `DOCUMENT_TYPE_NODE`, `ELEMENT_NODE`, `ENTITY_NODE`, `ENTITY_REFERENCE_NODE`, `NOTATION_NODE`, `PROCESSING_INSTRUCTION_NODE`, `TEXT_NODE`

Properties
Inherited from `xml.dom.minidom.Element`: `attributes`, `localName` Inherited from `xml.dom.minidom.Node`: `firstChild`, `lastChild`

Method Details

### __init__(self, name, localnamespacepath, iparamvalues=`[``]`, responsedestination=None) (Constructor) | source code
Overrides: xml.dom.minidom.Element.__init__